RUF = LibStub("AceAddon-3.0"):NewAddon("RUF", "AceConsole-3.0", "AceEvent-3.0")
local LSM = LibStub("LibSharedMedia-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("RUF")
local DefaultOptions = RUF_cfg
local cfg


LSM:Register("font", "RUF", [[Interface\Addons\RUF\Media\TGL.ttf]],LSM.LOCALE_BIT_ruRU + LSM.LOCALE_BIT_western)
LSM:Register("statusbar", "RUF 1", [[Interface\Addons\RUF\Media\Raeli 1.tga]])
LSM:Register("statusbar", "RUF 2", [[Interface\Addons\RUF\Media\Raeli 2.tga]])
LSM:Register("statusbar", "RUF 3", [[Interface\Addons\RUF\Media\Raeli 3.tga]])
LSM:Register("statusbar", "RUF 4", [[Interface\Addons\RUF\Media\Raeli 4.tga]])
LSM:Register("statusbar", "RUF 5", [[Interface\Addons\RUF\Media\Raeli 5.tga]])


--[[function RUF:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("RUFDB", DefaultOptions, true) -- Setup Saved Variables
	--self.db.RegisterCallback(self, "OnProfileChanged", "RefreshConfig")
	--self.db.RegisterCallback(self, "OnProfileCopied", "RefreshConfig")
	--self.db.RegisterCallback(self, "OnProfileReset", "RefreshConfig")
	local LibDualSpec = LibStub('LibDualSpec-1.0')
	LibDualSpec:EnhanceDatabase(self.db, "RUF")
	cfg = self.db.profile
	
		-- Register /RUF command
	self:RegisterChatCommand("RUF", "ChatCommand")
end]]--
function RUF:ChatCommand(input) -- Handle slash commands. Due to new loading, removed all commands.
	if not IsAddOnLoaded("RUF_Options") then
		InterfaceOptionsFrame_OpenToCategory("RUF")
	end
	InterfaceOptionsFrame_OpenToCategory("RUF")
	InterfaceOptionsFrame_OpenToCategory("RUF")
end
function RUF:RefreshConfig()
	--self:SetSinkStorage(self.db.profile)
	--self:Disable()
	--self:Enable()
end

do -- Adds a blank RUF Panel to the Blizzard Addon Options window, which upon clicked loads RUF Options. No more need to use /RUF.
	local frame = CreateFrame("Frame", nil, UIParent)
	frame.name = "RUF"
	frame:Hide()
	local function removeFrame()
		for k, f in next, INTERFACEOPTIONS_ADDONCATEGORIES do
			if f == frame then
				tremove(INTERFACEOPTIONS_ADDONCATEGORIES, k)
				break
			end
		end
	end
	frame:SetScript("OnShow", function()
		removeFrame()
		local loaded, reason = LoadAddOn("RUF_Options")
		--InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
		InterfaceOptionsFrame_OpenToCategory("RUF","RUF")
		if not loaded then
			if reason == "DISABLED" or reason == "INTERFACE_VERSION" then
				ChatFrame1:AddMessage("RUF [|c5500DBBDOptions|r] ")-- .. L.OptionsDisabled)
			elseif reason == "MISSING" or reason == "CORRUPT" then
				ChatFrame1:AddMessage("RUF [|c5500DBBDOptions|r] ")-- .. L.OptionsMissing)
			end
		end
	end)
	InterfaceOptions_AddCategory(frame)
end
